gtkmm: Gtk::Menu_Helpers::RadioMenuElem Class Reference

gtkmm 2.24.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# Gtk::Menu_Helpers::RadioMenuElem Class Reference

Inheritance diagram for Gtk::Menu_Helpers::RadioMenuElem:
[legend]
Collaboration diagram for Gtk::Menu_Helpers::RadioMenuElem:
[legend]

List of all members.

## Public Member Functions
| RadioMenuElem (RadioMenuItem& child)
| RadioMenuElem (RadioMenuItem::Group&, const Glib::ustring& label, const CallSlot& slot=CallSlot())
| Create a labeled, non-accelerated MenuItem with a sigc::slot.
| RadioMenuElem (RadioMenuItem::Group& group, const Glib::ustring& label, const AccelKey& key, const CallSlot& slot=CallSlot())
| Create a labeled, accelerated CheckMenuItem with a sigc::slot.
## Protected Attributes
RadioMenuItem::Group* | gr_

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::RadioMenuElem::RadioMenuElem | ( | RadioMenuItem& | child | ) |

Gtk::Menu_Helpers::RadioMenuElem::RadioMenuElem | ( | RadioMenuItem::Group& | ,
|  | const Glib::ustring & | label,
|  | const CallSlot & | slot = `CallSlot()`
| ) |  |

Create a labeled, non-accelerated MenuItem with a sigc::slot.

Parameters:

  label | The menu item's name
  slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::RadioMenuElem::RadioMenuElem | ( | RadioMenuItem::Group& | group,
|  | const Glib::ustring & | label,
|  | const AccelKey& | key,
|  | const CallSlot & | slot = `CallSlot()`
| ) |  |

Create a labeled, accelerated CheckMenuItem with a sigc::slot.

Parameters:

  group | The RadioMenuItem group in which to put this.
  label | The menu item's name
  key | The accelerator key combination
  slot | Use sigc::mem_fun() to specify a signal handler

## Member Data Documentation

RadioMenuItem::Group* Gtk::Menu_Helpers::RadioMenuElem::gr_`[protected]`

The documentation for this class was generated from the following file:

- gtkmm/menu_elems.h